
/*
   Control class for KDE based Sound Library

   Copyright 1998 by Kurt Siegl <007@netrek.org>
   Permission to use, modify, copy and distribute this software without
   fee is hereby granted as long as this notice is left here.
*/

#ifndef __CONTROL_H
#define __CONTROL_H

#include <limits.h>

#include <mediatool.h>
#include <kaudio.h>
#include <qobject.h>

struct shm_sound
  {
    char name[PATH_MAX];
    int play_sound;
  };

extern KAudio *player;
extern struct shm_sound *shared_data;

class Control : public QObject
{
  Q_OBJECT;
public:
  Control(int shmid, int returnpid);
  void sigRet (int x);
public slots:
  void idle();

private:
  int shmid;
  int returnpid;
  // KAudio *player;
};

#endif
 




